package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountTargetTemplate;
import cn.com.ctop.kuaishou.modules.ai.service.IAiKuaishouAccountTargetTemplateService;
import cn.com.ctop.kuaishou.modules.ai.service.IAiKuaishouNewCreateCampaign;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class KuaishouAiAdsNewMaterialCreativityJob {

    @Autowired
    IAiKuaishouNewCreateCampaign aiKuaishouNewCreateCampaign;
    @Autowired
    private IAiKuaishouAccountTargetTemplateService aiKuaishouAccountTargetTemplateService;
    @XxlJob("kuaishouAiAdsNewMaterialCreativityJob")
    public void kuaishouAiAdsNewMaterialCreativityJob() {
        List<AiKuaishouAccountTargetTemplate> accountTargetTemplates = aiKuaishouAccountTargetTemplateService.getAllEffectTemplate();
        if(null==accountTargetTemplates||accountTargetTemplates.isEmpty()){
            return;
        }
        accountTargetTemplates.forEach(targetTemplate -> aiKuaishouNewCreateCampaign.kuaishouAiAdsNewMaterialCreativity(targetTemplate));
    }

    @XxlJob("kuaishouAiAdsHotMaterialCreativityJob")
    public void kuaishouAiAdsHotMaterialCreativityJob() {
        List<AiKuaishouAccountTargetTemplate> accountTargetTemplates = aiKuaishouAccountTargetTemplateService.getAllEffectTemplate();
        if(null==accountTargetTemplates||accountTargetTemplates.isEmpty()){
            return;
        }
        accountTargetTemplates.forEach(targetTemplate -> aiKuaishouNewCreateCampaign.kuaishouAiAdsHotMaterialCreativity(targetTemplate));
    }
}
